<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXTextKeyboardTransition结构体 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_x_h_x_text_keyboard_transition.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public 属性</a> &#124;
<a href="struct_x_h_x_text_keyboard_transition-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXTextKeyboardTransition结构体 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html">XHXTextKeyboardManager.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public 属性</h2></td></tr>
<tr class="memitem:a0b00535442714dc6ccf8e68a34fb91f3"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_x_h_x_text_keyboard_transition.html#a0b00535442714dc6ccf8e68a34fb91f3">fromVisible</a></td></tr>
<tr class="memdesc:a0b00535442714dc6ccf8e68a34fb91f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Keyboard visible before transition.  <a href="struct_x_h_x_text_keyboard_transition.html#a0b00535442714dc6ccf8e68a34fb91f3">更多...</a><br /></td></tr>
<tr class="separator:a0b00535442714dc6ccf8e68a34fb91f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af664f9a3d1c9aa90b635f6c94c383679"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_x_h_x_text_keyboard_transition.html#af664f9a3d1c9aa90b635f6c94c383679">toVisible</a></td></tr>
<tr class="memdesc:af664f9a3d1c9aa90b635f6c94c383679"><td class="mdescLeft">&#160;</td><td class="mdescRight">Keyboard visible after transition.  <a href="struct_x_h_x_text_keyboard_transition.html#af664f9a3d1c9aa90b635f6c94c383679">更多...</a><br /></td></tr>
<tr class="separator:af664f9a3d1c9aa90b635f6c94c383679"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad15905ae428fe9bfdfad2010087b680"><td class="memItemLeft" align="right" valign="top">CGRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_x_h_x_text_keyboard_transition.html#aad15905ae428fe9bfdfad2010087b680">fromFrame</a></td></tr>
<tr class="memdesc:aad15905ae428fe9bfdfad2010087b680"><td class="mdescLeft">&#160;</td><td class="mdescRight">Keyboard frame before transition.  <a href="struct_x_h_x_text_keyboard_transition.html#aad15905ae428fe9bfdfad2010087b680">更多...</a><br /></td></tr>
<tr class="separator:aad15905ae428fe9bfdfad2010087b680"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97527530fdc984218af25924c085e936"><td class="memItemLeft" align="right" valign="top">CGRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_x_h_x_text_keyboard_transition.html#a97527530fdc984218af25924c085e936">toFrame</a></td></tr>
<tr class="memdesc:a97527530fdc984218af25924c085e936"><td class="mdescLeft">&#160;</td><td class="mdescRight">Keyboard frame after transition.  <a href="struct_x_h_x_text_keyboard_transition.html#a97527530fdc984218af25924c085e936">更多...</a><br /></td></tr>
<tr class="separator:a97527530fdc984218af25924c085e936"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d215ca6c6f122a9a0af0e7b48040693"><td class="memItemLeft" align="right" valign="top">NSTimeInterval&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_x_h_x_text_keyboard_transition.html#a6d215ca6c6f122a9a0af0e7b48040693">animationDuration</a></td></tr>
<tr class="memdesc:a6d215ca6c6f122a9a0af0e7b48040693"><td class="mdescLeft">&#160;</td><td class="mdescRight">Keyboard transition animation duration.  <a href="struct_x_h_x_text_keyboard_transition.html#a6d215ca6c6f122a9a0af0e7b48040693">更多...</a><br /></td></tr>
<tr class="separator:a6d215ca6c6f122a9a0af0e7b48040693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afacd2636b7e1409a917dad69d10a06e1"><td class="memItemLeft" align="right" valign="top">UIViewAnimationCurve&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_x_h_x_text_keyboard_transition.html#afacd2636b7e1409a917dad69d10a06e1">animationCurve</a></td></tr>
<tr class="memdesc:afacd2636b7e1409a917dad69d10a06e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Keyboard transition animation curve.  <a href="struct_x_h_x_text_keyboard_transition.html#afacd2636b7e1409a917dad69d10a06e1">更多...</a><br /></td></tr>
<tr class="separator:afacd2636b7e1409a917dad69d10a06e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f968b27988feec878f28406635023fe"><td class="memItemLeft" align="right" valign="top">UIViewAnimationOptions&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_x_h_x_text_keyboard_transition.html#a1f968b27988feec878f28406635023fe">animationOption</a></td></tr>
<tr class="memdesc:a1f968b27988feec878f28406635023fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Keybaord transition animation option.  <a href="struct_x_h_x_text_keyboard_transition.html#a1f968b27988feec878f28406635023fe">更多...</a><br /></td></tr>
<tr class="separator:a1f968b27988feec878f28406635023fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock"><p>System keyboard transition information. Use -[<a class="el" href="interface_x_h_x_text_keyboard_manager.html">XHXTextKeyboardManager</a> convertRect:toView:] to convert frame to specified view. </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html">XHXTextKeyboardManager.h</a> 第 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html#l00018">18</a> 行定义.</p>
</div><h2 class="groupheader">类成员变量说明</h2>
<a id="afacd2636b7e1409a917dad69d10a06e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afacd2636b7e1409a917dad69d10a06e1">&#9670;&nbsp;</a></span>animationCurve</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UIViewAnimationCurve XHXTextKeyboardTransition::animationCurve</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Keyboard transition animation curve. </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html">XHXTextKeyboardManager.h</a> 第 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html#l00024">24</a> 行定义.</p>

</div>
</div>
<a id="a6d215ca6c6f122a9a0af0e7b48040693"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d215ca6c6f122a9a0af0e7b48040693">&#9670;&nbsp;</a></span>animationDuration</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">NSTimeInterval XHXTextKeyboardTransition::animationDuration</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Keyboard transition animation duration. </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html">XHXTextKeyboardManager.h</a> 第 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html#l00023">23</a> 行定义.</p>

</div>
</div>
<a id="a1f968b27988feec878f28406635023fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f968b27988feec878f28406635023fe">&#9670;&nbsp;</a></span>animationOption</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">UIViewAnimationOptions XHXTextKeyboardTransition::animationOption</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Keybaord transition animation option. </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html">XHXTextKeyboardManager.h</a> 第 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html#l00025">25</a> 行定义.</p>

</div>
</div>
<a id="aad15905ae428fe9bfdfad2010087b680"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad15905ae428fe9bfdfad2010087b680">&#9670;&nbsp;</a></span>fromFrame</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CGRect XHXTextKeyboardTransition::fromFrame</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Keyboard frame before transition. </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html">XHXTextKeyboardManager.h</a> 第 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html#l00021">21</a> 行定义.</p>

</div>
</div>
<a id="a0b00535442714dc6ccf8e68a34fb91f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b00535442714dc6ccf8e68a34fb91f3">&#9670;&nbsp;</a></span>fromVisible</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">BOOL XHXTextKeyboardTransition::fromVisible</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Keyboard visible before transition. </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html">XHXTextKeyboardManager.h</a> 第 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html#l00019">19</a> 行定义.</p>

</div>
</div>
<a id="a97527530fdc984218af25924c085e936"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97527530fdc984218af25924c085e936">&#9670;&nbsp;</a></span>toFrame</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CGRect XHXTextKeyboardTransition::toFrame</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Keyboard frame after transition. </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html">XHXTextKeyboardManager.h</a> 第 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html#l00022">22</a> 行定义.</p>

</div>
</div>
<a id="af664f9a3d1c9aa90b635f6c94c383679"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af664f9a3d1c9aa90b635f6c94c383679">&#9670;&nbsp;</a></span>toVisible</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">BOOL XHXTextKeyboardTransition::toVisible</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Keyboard visible after transition. </p>

<p class="definition">在文件 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html">XHXTextKeyboardManager.h</a> 第 <a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html#l00020">20</a> 行定义.</p>

</div>
</div>
<hr/>该结构体的文档由以下文件生成:<ul>
<li>XHXKit/Classes/KeyboardManager/<a class="el" href="_x_h_x_text_keyboard_manager_8h_source.html">XHXTextKeyboardManager.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_x_h_x_text_keyboard_transition.html">XHXTextKeyboardTransition</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
